Discussion:
find/zoom to text option
(too old to reply)
MATT
2006-06-14 22:20:37 UTC
Permalink
Hi,

I use autocad currently and am converting over to progecad.
I noticed when trying this out thta it doesnt have a find option under the
edit menu.
I like this option to be able to zoom to txt, especially on a pcb drawing.
it helps for finding reference designators. Anyone know of an add-on or
utility for progecad that enables this option?

Cheers in advance
jg
2006-06-15 00:34:04 UTC
Permalink
Post by MATT
Hi,
I use autocad currently and am converting over to progecad.
I noticed when trying this out thta it doesnt have a find option under the
edit menu.
I like this option to be able to zoom to txt, especially on a pcb drawing.
it helps for finding reference designators. Anyone know of an add-on or
utility for progecad that enables this option?
I had this one, which I expanded to include linetypes and "coloured"
entities for a particular job. But I don't usually use it, I just type "m"
(for move... or copy, or anything to highlight it) "pro" "v"... type part of
text or mtext with wildcards. That would be easy to string into a lisp, even
load with icad.lsp (load "xxx") and run it transparently say during a zoom
command, as in !(xxx)... make that a menu item. I don't have much need, I
get more use from one I have for finding text matching existing text. Just
say if you want that one.

(Defun c:ftxt (/ a b bb ss ss1 l n)
(Defun act ()
(while (/= (sslength ss) n)
(setq b (cdr (assoc 1 (entget (ssname ss n))))
bb (substr b 1 l))
(if (= a bb)
(progn
(print b)
(ssadd (ssname ss n) ss1)))
(setq n (1+ n))
))
(setq a (getstring "\nText to find: ")
ss1 (ssadd)
ss (ssget "x" (list (cons 0 "TEXT")))
l (strlen a)
n 0)
(act)
(command "select" ss1 "")
(princ (strcat "\n" (rtos (sslength ss1)) " occurances of " a " found"))
(terpri)
)
(Defun c:fcol (/ a ss s1)
(setq a 1 ss nil s1 nil)
(while (/= 16 a)
(setq ss (ssget "x" (list (cons 62 a))))
(princ (strcat "Finding colour " (rtos a)))
(terpri)
(if (/= nil ss)
(if (= s1 nil)
(progn
(command "select" ss "")
(setq s1 ss))
(progn
(command "select" s1 ss "")
(setq s1 (ssget "p")))))
(setq a (1+ a)))
)
(Defun c:fltyp (/ a b ss)
(setq a 1 ss nil s1 nil)
(while (/= 11 a)
(if (= 1 a)(setq b "CONTINUOUS"))
(if (= 2 a)(setq b "DASHED"))
(if (= 3 a)(setq b "HIDDEN"))
(if (= 4 a)(setq b "CENTER"))
(if (= 5 a)(setq b "PHANTOM"))
(if (= 6 a)(setq b "DOT"))
(if (= 7 a)(setq b "DASHDOT"))
(if (= 8 a)(setq b "BORDER"))
(if (= 9 a)(setq b "DIVIDE"))
(if (= 10 a)(setq b "HIDOT"))
(setq ss (ssget "x" (list (cons 6 b))))
(princ (strcat "Finding linetype " b))
(terpri)
(if (/= nil ss)
(if (= s1 nil)
(progn
(command "select" ss "")
(setq s1 ss))
(progn
(command "select" s1 ss "")
(setq s1 (ssget "p")))))
(setq a (1+ a)))
)
(Defun c:find ()
(setq a (strcase
(getstring "\nType of Entity <T>ext, <C>oloured, <L>inetyped ")))
(if (= "T" a)(c:ftxt))
(if (= "C" a)(c:fcol))
(if (= "L" a)(c:fltyp))
(TEXTSCR)
)
m***@gmail.com
2006-06-20 10:23:10 UTC
Permalink
Hi Matt,

I have written a small routine to find and zoom for IntelliCAD.
If you are interested please check the link
http://www.mmtechnologies.co.in/downloads/find.zip

There has been some problems with the link in that case you can send a
mail to ***@mmtechnologies.co.in and ask them to send you the routine

Thanks!
Manoj Madhavan
Post by MATT
Hi,
I use autocad currently and am converting over to progecad.
I noticed when trying this out thta it doesnt have a find option under the
edit menu.
I like this option to be able to zoom to txt, especially on a pcb drawing.
it helps for finding reference designators. Anyone know of an add-on or
utility for progecad that enables this option?
Cheers in advance
Loading...